package com.landray.kmss.sys.attachment.model;

import com.landray.kmss.sys.attachment.forms.SysAtt3rdDownloadQueueForm;
import java.util.Date;
import com.landray.kmss.common.model.BaseModel;

public class SysAtt3rdDownloadQueue extends BaseModel
{
    private static final long serialVersionUID = 1L;
    private String fdTaskId;
    private Integer fdStatus;
    private Integer fdType;
    private Integer fdDownloadMethod;
    private boolean fdSync;
    private String fdModelId;
    private String fdModelName;
    private String fdAttMainId;
    private String fdCreatedBy;
    private Date fdCreateTime;
    private Date fdUpdateTime;
    
    public SysAtt3rdDownloadQueue() {
        this.fdStatus = 0;
        this.fdDownloadMethod = 1;
        this.fdSync = true;
    }
    
    public Class getFormClass() {
        return SysAtt3rdDownloadQueueForm.class;
    }
    
    public String getFdTaskId() {
        return this.fdTaskId;
    }
    
    public void setFdTaskId(final String fdTaskId) {
        this.fdTaskId = fdTaskId;
    }
    
    public Integer getFdStatus() {
        return this.fdStatus;
    }
    
    public void setFdStatus(final Integer fdStatus) {
        this.fdStatus = fdStatus;
    }
    
    public Integer getFdType() {
        return this.fdType;
    }
    
    public void setFdType(final Integer fdType) {
        this.fdType = fdType;
    }
    
    public Integer getFdDownloadMethod() {
        return this.fdDownloadMethod;
    }
    
    public void setFdDownloadMethod(final Integer fdDownloadMethod) {
        this.fdDownloadMethod = fdDownloadMethod;
    }
    
    public String getFdModelId() {
        return this.fdModelId;
    }
    
    public void setFdModelId(final String fdModelId) {
        this.fdModelId = fdModelId;
    }
    
    public String getFdModelName() {
        return this.fdModelName;
    }
    
    public void setFdModelName(final String fdModelName) {
        this.fdModelName = fdModelName;
    }
    
    public String getFdAttMainId() {
        return this.fdAttMainId;
    }
    
    public void setFdAttMainId(final String fdAttMainId) {
        this.fdAttMainId = fdAttMainId;
    }
    
    public Date getFdCreateTime() {
        return this.fdCreateTime;
    }
    
    public void setFdCreateTime(final Date fdCreateTime) {
        this.fdCreateTime = fdCreateTime;
    }
    
    public Date getFdUpdateTime() {
        return this.fdUpdateTime;
    }
    
    public void setFdUpdateTime(final Date fdUpdateTime) {
        this.fdUpdateTime = fdUpdateTime;
    }
    
    public String getFdCreatedBy() {
        return this.fdCreatedBy;
    }
    
    public void setFdCreatedBy(final String fdCreatedBy) {
        this.fdCreatedBy = fdCreatedBy;
    }
    
    public boolean isFdSync() {
        return this.fdSync;
    }
    
    public void setFdSync(final boolean fdSync) {
        this.fdSync = fdSync;
    }
}
